Delete a post
DELETE
/public/v1/posts/{id}
const url = 'https://api.loomta.com/public/v1/posts/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.loomta.com/public/v1/posts/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'Deletes the post and the whole group it belongs to.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
The post UUID.
Responses
Section titled “Responses”Deleted. No content.
The API key is missing or invalid.
Media typeapplication/json
object
code
required
A stable, machine-readable error code to branch on.
string
message
required
A human-readable description.
string
details
Optional structured detail (for example Zod validation issues).
Examples
{ "code": "missing_api_key", "message": "A Bearer API key is required."}{ "code": "invalid_api_key", "message": "The API key is invalid."}The resource was not found in this workspace.
Media typeapplication/json
object
code
required
A stable, machine-readable error code to branch on.
string
message
required
A human-readable description.
string
details
Optional structured detail (for example Zod validation issues).
Example
{ "code": "invalid_api_key", "message": "The API key is invalid."}